Package com.sun.jna.platform.win32

## Class OaIdl.VARIANT_BOOLByReference

- java.lang.Object
- - com.sun.jna.PointerType
  - - com.sun.jna.ptr.ByReference
    - - com.sun.jna.platform.win32.OaIdl.VARIANT_BOOLByReference

- All Implemented Interfaces:
    `NativeMapped`
  Enclosing interface:
    OaIdl

      public static class OaIdl.VARIANT_BOOLByReference
      extends ByReference

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `VARIANT_BOOLByReference()` |
    `VARIANT_BOOLByReference​(OaIdl.VARIANT_BOOL value)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `OaIdl.VARIANT_BOOL` | `getValue()` |
    `void` | `setValue​(OaIdl.VARIANT_BOOL value)` |

    - ### Methods inherited from class com.sun.jna.ptr.ByReference

      `toString`

    - ### Methods inherited from class com.sun.jna.PointerType

      `equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### VARIANT_BOOLByReference

          public VARIANT_BOOLByReference()

    - #### VARIANT_BOOLByReference

          public VARIANT_BOOLByReference​(OaIdl.VARIANT_BOOL value)

  - ### Method Detail

    - #### setValue

          public void setValue​(OaIdl.VARIANT_BOOL value)

    - #### getValue

          public OaIdl.VARIANT_BOOL getValue()